toolzerhub API Docs

List TikTok hashtag videos by name

Returns public videos under a hashtag, in itemList, for the numeric challenge_id from the hashtag details response. Page with cursor and count.

2 credits / requestBilled only on success
GET
/v2/tiktok/web/hashtag/videos

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

challenge_id*string

Numeric hashtag (challenge) id, from the hashtag details response.

Length1 <= length
count?string

Number of items to request per page.

cursor?string

Pagination cursor. 0 for page one; for later pages send the previous response's cursor when it has one.

curl -X GET "https://example.com/v2/tiktok/web/hashtag/videos?challenge_id=5216" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "itemList": [      null    ],    "property1": null,    "property2": null  }}